/*********************************************************************
*                SEGGER MICROCONTROLLER GmbH & Co. KG                *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 2003-2014     SEGGER Microcontroller GmbH & Co KG       *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : USB_PrinterClass.h
Purpose : Sample implementation of USB printer device class
----------Literature--------------------------------------------------
Universal Serial Bus Device Class Definition for Printing Devices
Version 1.1 January 2000
--------  END-OF-HEADER  ---------------------------------------------
*/
#ifndef USB_PRINTERCLASS_H__
#define USB_PRINTERCLASS_H__

#include "USB.h"

typedef struct {
  const char * (*pfGetDeviceIdString)(void);
  int          (*pfOnDataReceived)(const U8 * pData, unsigned NumBytes);
  U8           (*pfGetHasNoError)(void);
  U8           (*pfGetIsSelected)(void);
  U8           (*pfGetIsPaperEmpty)(void);
  void         (*pfOnReset)(void);
} USB_PRINTER_API;

void         USB_PRINTER_Init(USB_PRINTER_API * pAPI);
void         USB_PRINTER_Task(void);
#endif

/**************************** end of file ***************************/

